Bug 851435 - [abrt] pgadmin3-1.14.0-2.fc17: Process /usr/bin/pgadmin3 was killed by signal 11 (SIGSEGV)
[abrt] pgadmin3-1.14.0-2.fc17: Process /usr/bin/pgadmin3 was killed by signal...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pgadmin3 (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devrim GÜNDÜZ
Fedora Extras Quality Assurance
abrt_hash:d44c08f8f99742f3a503ed1b010...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 03:59 EDT by Matthias Kuhn
Modified: 2013-07-31 19:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:49:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: build_ids (4.24 KB, text/plain)
2012-08-24 03:59 EDT, Matthias Kuhn
no flags Details
File: dso_list (10.57 KB, text/plain)
2012-08-24 03:59 EDT, Matthias Kuhn
no flags Details
File: maps (53.60 KB, text/plain)
2012-08-24 03:59 EDT, Matthias Kuhn
no flags Details
File: backtrace (31.71 KB, text/plain)
2012-08-24 03:59 EDT, Matthias Kuhn
no flags Details

  None (edit)
Description Matthias Kuhn 2012-08-24 03:59:19 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/pgadmin3
crash_function: pgConn::BackendMinimumVersion(int, int)
executable:     /usr/bin/pgadmin3
kernel:         3.5.2-1.fc17.x86_64
pid:            27111
remote_result:  NOTFOUND
time:           Fri 24 Aug 2012 09:51:56 AM CEST
uid:            1000
username:       kk

backtrace:      Text file, 32473 bytes
build_ids:      Text file, 4346 bytes
dso_list:       Text file, 10820 bytes
maps:           Text file, 54886 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/kk/10

comment:
:- Start pgadmin3
:- Connect to a server
:- Create a database on it
:- Disconnect the database
:- Open a shell and issue "dropdb" to delete this database
:- Select the (just deleted but still listed) database in the Object browser
:- A warning appears that the db is not available
:- Click Ok
:- Enjoy crash

core_backtrace:
:94b133e5ec37adae804f92f9e145f04f5dcdd2f7 0xb110a - [exe] -
:94b133e5ec37adae804f92f9e145f04f5dcdd2f7 0xb1629 - [exe] -
:94b133e5ec37adae804f92f9e145f04f5dcdd2f7 0xc6f3a - [exe] -
:94b133e5ec37adae804f92f9e145f04f5dcdd2f7 0x3d3950 - [exe] -
:94b133e5ec37adae804f92f9e145f04f5dcdd2f7 0x19b950 - [exe] -
:94b133e5ec37adae804f92f9e145f04f5dcdd2f7 0x19bb90 - [exe] -
:94b133e5ec37adae804f92f9e145f04f5dcdd2f7 0x19bc05 - [exe] -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6796 wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6904 wxEventHashTable::HandleEvent(wxEvent&, libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6c27 wxEvtHandler::ProcessEvent(wxEvent&) libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6bb0 wxEvtHandler::ProcessEvent(wxEvent&) libwx_baseu-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x2d3519 wxWindowBase::TryParent(wxEvent&) libwx_gtk2u_core-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6bb0 wxEvtHandler::ProcessEvent(wxEvent&) libwx_baseu-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x2fbec5 wxScrollHelperEvtHandler::ProcessEvent(wxEvent&) libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x30b0e9 wxGenericTreeCtrl::DoSelectItem(wxTreeItemId libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x30b944 wxGenericTreeCtrl::OnMouse(wxMouseEvent&) libwx_gtk2u_core-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6796 wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6904 wxEventHashTable::HandleEvent(wxEvent&, libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6c27 wxEvtHandler::ProcessEvent(wxEvent&) libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6bb0 wxEvtHandler::ProcessEvent(wxEvent&) libwx_baseu-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x2fbec5 wxScrollHelperEvtHandler::ProcessEvent(wxEvent&) libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x209c8b - libwx_gtk2u_core-2.8.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14db4c - libgtk-x11-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x2815ae - libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14b914 gtk_propagate_event libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14bc7b gtk_main_do_event libgtk-x11-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x61edc - libgdk-x11-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14ac57 gtk_main libgtk-x11-2.0.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x1f81d8 wxEventLoop::Run() libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x26a30c wxAppBase::MainLoop() libwx_gtk2u_core-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0x978e5 wxEntry(int&, libwx_baseu-2.8.so.0 -
:94b133e5ec37adae804f92f9e145f04f5dcdd2f7 0x3ef82 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=10
:HOSTNAME=kk-office.gslwd
:LC_MONETARY=en_US.utf8
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:LC_NUMERIC=en_US.utf8
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/kk/keyring-9JWP7f
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:MAIL=/var/spool/mail/kk
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/kk/.local/bin:/home/kk/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/kk
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=10908
:LANG=en_US.utf8
:LC_MEASUREMENT=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/kk
:SHLVL=1
:LOGNAME=kk
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-AGn1sxfIrW,guid=36b57c76c89ea2a563039d12000035c1
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/kk
:DISPLAY=:0
:LC_TIME=en_US.utf8
:XAUTHORITY=/var/run/gdm/auth-for-kk-fag6xJ/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/10912,unix/unix:/tmp/.ICE-unix/10912
:SSH_AUTH_SOCK=/run/user/kk/keyring-9JWP7f/ssh
:GPG_AGENT_INFO=/run/user/kk/keyring-9JWP7f/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/pgadmin3.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=27111

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/kk/.xsession-errors
:pos:	455977
:flags:	0102002
:2:/home/kk/.xsession-errors
:pos:	455977
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[157718]
:pos:	0
:flags:	02004002
:5:socket:[154570]
:pos:	0
:flags:	02004002
:6:anon_inode:inotify
:pos:	0
:flags:	02004000
:7:socket:[155805]
:pos:	0
:flags:	02004002
:8:socket:[264719]
:pos:	0
:flags:	02004002

var_log_messages:
:Aug 24 08:14:45 kk-office yum[26686]: Installed: pgadmin3-1.14.0-2.fc17.x86_64
:Aug 24 09:51:56 kk-office kernel: [21846.794692] pgadmin3[27111]: segfault at e4 ip 00000000004b110a sp 00007fffbdf5e2b0 error 4 in pgadmin3[400000+637000]
:Aug 24 09:51:57 kk-office abrt[1263]: Saved core dump of pid 27111 (/usr/bin/pgadmin3) to /var/spool/abrt/ccpp-2012-08-24-09:51:56-27111 (64401408 bytes)
Comment 1 Matthias Kuhn 2012-08-24 03:59:23 EDT
Created attachment 606780 [details]
File: build_ids
Comment 2 Matthias Kuhn 2012-08-24 03:59:25 EDT
Created attachment 606781 [details]
File: dso_list
Comment 3 Matthias Kuhn 2012-08-24 03:59:27 EDT
Created attachment 606782 [details]
File: maps
Comment 4 Matthias Kuhn 2012-08-24 03:59:30 EDT
Created attachment 606783 [details]
File: backtrace
Comment 5 Fedora End Of Life 2013-07-03 18:09:38 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 19:49:39 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.